﻿
// funktio vaihtaa "placeholderin" ("taulun") kuvan
function naytaKuva(kuvalinkki) {
	// haetaan img id:llä "taulu"
	var taulu = document.getElementById("taulu");
	
	// haetaan kappale, jolla id "kuvateksti"
	var kuvatekstin_kappale = document.getElementById("kuvateksti");
	
	/* haetaan linkin sisällä oleva elementti..
       ..tämä on vain havainnollistamisen takia tehty välivaihe */
	var linkin_sisalla_oleva_kuva = kuvalinkki.firstChild;
	
	// asetetaan img:n src -attribuutti kuvalinkin kohteesta
	taulu.setAttribute("src", kuvalinkki.href);
	
	/* asetetaan kuvatekstin sisällöksi linkin sisällä olevan kuva-elementin
	   titleä vastaavaksi HUOM: title! ei alt! */
	kuvatekstin_kappale.firstChild.nodeValue = linkin_sisalla_oleva_kuva.getAttribute("title");
	}

// Käy läpi kaikki linkit ja lisää niihin "onclick" -tapahtuma
function valmisteleLinkit() {	
	// haetaan kaikki linkit dokumentista taulukkoon
	var linkit = document.getElementsByTagName("a");
	
	// käydään läpi kaikki linkit
	for (var i=0; i < linkit.length; i++) {
		/* ja asetetaan jokaiselle linkille onclick -tapahtuma
		   ...ja havaitaan, että sen sisältö on täysin sama, kuin versiossa 1 */
		linkit[i].onclick = function() {
			naytaKuva(this); return false;
			}
		}
	}

/* Luo sivulle "placeholder" jossa kuva näytetään.
   Jos JavaScript ei ole päällä, ei myöskään tarvita "placeholderia" */
function luoKuvajuttu() {
	// luodaan divi roikkumaan "olioavaruuten"
	var divi = document.createElement("div");

	// luodaan kuva myös ja asetetaan tarvittavat alkuarvot
	var taulu = document.createElement("img");
	taulu.setAttribute("id","taulu");
	taulu.setAttribute("src","tata_tiedostoa_ei_ole.jpg");
	taulu.setAttribute("alt","JavaScript näytin");
	
	// luodaan kuvatekstin kappale
	var kuvatekstin_kappale = document.createElement("p");
	kuvatekstin_kappale.setAttribute("id","kuvateksti");
	
	// luodaan teksti kappaleelle ja asetetaan se kappaleeseen
	var kuvatekstin_teksti = document.createTextNode("Kuvateksti tulee tähän");
	kuvatekstin_kappale.appendChild(kuvatekstin_teksti);
	
	// lisätään diviin img ja sen jälkeen p
	divi.appendChild(taulu);
	divi.appendChild(kuvatekstin_kappale);

	// haetaan ul-lista, [0] ottaa taulukosta ensimmäisen ul-elementin
	ul_lista = document.getElementsByTagName("ul")[0]
	
	// lisätään bodyn sisään divi juuri ennen ul-listaa
	document.body.insertBefore(divi, ul_lista);
	}

// Kun dokumentti on latautunut, kutsutaan kahta funktiota.
window.onload = function() {
	luoKuvajuttu();
	valmisteleLinkit();
}